# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define realname PyPar2

Name:		pypar2
Version:	1.4
Release:	alt1_18
License:	GPLv2
Group:		File tools
Summary:	Graphical frontend for the Linux par2 command line
URL:		http://pypar2.silent-blade.org/
Source0:	http://pypar2.silent-blade.org/uploads/Main/%{name}-%{version}.tar.bz2
# add a patch from Debian to Use list of tuples instead of depending on the
# iteration order of a dict; fixes a crash when launching pypar2
# http://bugs.debian.org/617966
Patch0:		pypar2-1.4-fix-crash-typeorder.patch
Patch1:         pypar2-1.4-desktop.patch
Patch2:         pypar2-1.4-xmldomext.patch
BuildArch:	noarch
BuildRequires:	python-base python-tools-2to3
BuildRequires:	pkgconfig(pygtk-2.0)
BuildRequires:	python-module-pygtk-libglade
BuildRequires:	desktop-file-utils
BuildRequires:	python-module-vte
Requires:	python-module-pygtk, python-module-pygtk-libglade, par2cmdline, python-module-vte
Source44: import.info

%description
PyPar2 is a graphical frontend for the Linux par2 command line, 
written in Python. Its GUI uses GTK through the PyGTK library.

PyPar2 is designed to be very easy to use. For this reason:

    * Advanced settings are present, but hidden by default.
    * There is no preferences dialog, all selected options 
      are automatically saved and restored. 

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1
%patch2

%build


%install
make install PREFIX=%{buildroot}/%{_prefix}

perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
  --add-category="System;Filesystem" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/pypar2.desktop

rm -f %{buildroot}/%{_bindir}/pypar2
echo "python /usr/share/pypar2/src/main.py" > %{buildroot}/%{_bindir}/pypar2

%find_lang %name

%files -f %name.lang
%{_datadir}/applications/pypar2.desktop
%{_mandir}/man1/pypar2.*
%{_datadir}/%{name}/res/*.glade
%{_datadir}/%{name}/src/*.py*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/pix/*.png
%defattr(755,root,root)
%{_bindir}/pypar2


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_18
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.4-alt1_17
- new version

